=== contrib/Makefile ===

# List of sources
SRCS = swallow.c swallow2.c

# List of object files
OBJS = swallow.o swallow2.o

# Targets to make
EXAMPLES=swallow2

# rule to create .o files from .c files 
.c.o:
	$(RM) $@
	$(CC) $(CFLAGS) $(CPPFLAGS) $(INCLUDES) -c $< -o $@

all: $(EXAMPLES)

# targets to build

swallow::  swallow.o
	$(RM) $@ \ 
	$(CC) -o $@ $(LDFLAGS) swallow.o $(LOADLIBES)

swallow2::  swallow2.o
	$(RM) $@ \ 
	$(CC) -o $@ $(LDFLAGS) swallow2.o $(LOADLIBES)

depend:: $(SRCS) 
	$(MAKEDEPEND) $(INCLUDES) $(CPPFLAGS) $(SRCS)

clean::
	$(RM) $(OBJS)  
	$(RM) $(EXAMPLES)

distclean:: clean 
	$(RM) core *.out make.world *.bak *.last *.auto *.rej *.orig
	#$(CP) Makefile.org Makefile

#--------------------------------------------------------------------------
# don't delete anything below this line, makedepend depends on it
#--------------------------------------------------------------------------
