=== lib/Makefile ===
##############################################################################
#                                                                            #
# Makefile.motif: libXmHTML, Motif version                                   #
# Adjust at will                                                             #
#                                                                            #
##############################################################################
#                                                                            #
# (C)Copyright 1995-1997 Ripley Software Development                         #
# All Rights Reserved                                                        #
#                                                                            #
# This file is part of the XmHTML Widget Library.                            #
#                                                                            #
# This library is free software; you can redistribute it and/or              #
# modify it under the terms of the GNU Library General Public                #
# License as published by the Free Software Foundation; either               #
# version 2 of the License, or (at your option) any later version.           #
#                                                                            #
# This library is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of             #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          #
# Library General Public License for more details.                           #
#                                                                            #
# You should have received a copy of the GNU Library General Public          #
# License along with this library; if not, write to the Free                 #
# Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         #
##############################################################################
#
LIBRARY=libXmHTML.a
SHAREDLIB=libXmHTML.so.$(ARCHIVE)

# Targets to make
TARGET_STATIC=$(LIBRARY)
TARGET_SHARED=$(SHAREDLIB)

# Subdirectories to visit
SUBDIRS= common $(TOOLKIT)

# Target rules
all:: $(TARGET_STATIC) $(TARGET_SHARED)

# Separate rules for all targets 
$(TOOLKIT):: 
	@(set -x; cd $(TOOLKIT); $(MAKE) all $(pass_flags) )

common::
	@(set -x; cd common; $(MAKE) all $(pass_flags) )

$(TARGET_STATIC):: common $(TOOLKIT) 
	$(RM) $@ \ 
	$(AR) $@ common/*.o $(TOOLKIT)/*.o
	$(RANLIB) $@

$(TARGET_SHARED):: common $(TOOLKIT) 
	$(RM) $@ ; \
	$(CC) $(LDFLAGS) -o $@ -shared -Wl,-soname,$(SONAME) common/*.o $(TOOLKIT)/*.o $(LOADLIBES)
	
depend:: 
	@( for dir in $(SUBDIRS) ; do \
		(set -x ; cd $$dir ; $(MAKE) depend $(pass_flags)) ; \
	done)

clean:: 
	@( for dir in $(SUBDIRS) ; do \
		(set -x ; cd $$dir ; $(MAKE) clean $(pass_flags) ) ; \
	done)
	$(RM) $(TARGET_STATIC) $(TARGET_SHARED)

distclean:: 
	@( for dir in $(SUBDIRS) ; do \
		(set -x ; cd $$dir ; $(MAKE) distclean $(pass_flags) ) ; \
	done)
	$(RM) $(TARGET_STATIC) $(TARGET_SHARED)
	$(RM) core *.out *.log make.world *.bak *.last *.auto *.rej *.orig
	#$(CP) Makefile.org Makefile
