=== debian/changelog ===
xmhtml (1.1.10-4.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:48:14 +1100

xmhtml (1.1.10-4.1build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 01:02:19 +0000

xmhtml (1.1.10-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063278

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 07:38:46 +0000

xmhtml (1.1.10-4) unstable; urgency=medium

  * Switch to debhelper 13
  * Set Rules-Requires-Root: no
  * Drop dh-exec, not needed with debhelper 13
  * Do not link with -Wl,--as-needed, it is now the default
  * Add Build-Depends-Package to symbols file
  * Use secure URIs in debian/watch and upstream Homepage
  * Drop trailing whitespace from debian/changelog
  * Drop obsolete Breaks/Replaces
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 04 Jul 2020 09:11:41 +0000

xmhtml (1.1.10-3) unstable; urgency=medium

  * Update Vcs-* URIs for move to salsa.debian.org
  * Turn debhelper up to 11
  * Drop override_dh_strip, ddeb migration is complete
  * Drop trailing whitespace from debian/changelog
  * Update debian/copyright
  * Enable all hardening options
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 03 May 2018 15:02:32 +0000

xmhtml (1.1.10-2) unstable; urgency=medium

  * Migrate from libxmhtml1.1-dbg to ddebs, bump debhelper build-dependency.
  * Use secure URIs for VCS fields.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Remove transitional package xmhtml1-dev.
  * Sort object files to make build reproducible,
    thanks Reiner Herrmann for testing my patch.

 -- Graham Inggs <ginggs@debian.org>  Mon, 04 Apr 2016 20:07:56 +0200

xmhtml (1.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.
  * Drop fix-endless-event-loop.patch included upstream.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Wed, 04 Nov 2015 15:33:34 +0200
