=== debian/control ===
Source: xmhtml
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Graham Inggs <ginggs@debian.org>
Uploaders: Paul Gevers <elbrus@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               libfontconfig1-dev,
               libjpeg-dev,
               libmotif-dev,
               libpng-dev,
               libxft-dev,
               libxmu-dev,
               libxpm-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/xmhtml/
Vcs-Browser: https://salsa.debian.org/debian/xmhtml
Vcs-Git: https://salsa.debian.org/debian/xmhtml.git

Package: libxmhtml-dev
Architecture: any
Multi-Arch: same
Depends: libc6-dev, libmotif-dev, libxmhtml1.1t64 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Description: Motif widget for displaying HTML 3.2 (development files)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This is the development kit, containing static libraries and header files
 necessary to build programs that use XmHTML. The runtime library is
 provided by the libxmhtml package.

Package: libxmhtml1.1t64
Provides: ${t64:Provides}
Replaces: libxmhtml1.1
Breaks: libxmhtml1.1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Description: Motif widget for displaying HTML 3.2 (library)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This package provides the runtime shared library. The libxmhtml-dev
 package provides the header files, and the static library.
