=== debian/rules ===
#!/usr/bin/make -f

export version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
export version_major=$(shell expr `pwd` : '.*-\([0-9].[0-9]*\)[0-9]*')
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_autoreconf:

override_dh_auto_build:
	dh_auto_build -- lib LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS) -fPIC $(CPPFLAGS)"
