=== debian/watch ===
version=3
https://qa.debian.org/watch/sf.php/xmhtml/XmHTML-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
